const cron = require('node-cron');
const moment = require('moment');

const { getUsersWhitelist, getUsers } = require('../db/mysql/lsaUsers');
const { RedisClient } = require('../db/redis/redis');

async function task() {
  console.log('Running task', moment().format('HH:mm:ss'));
  const users = await getUsers();
  const whitelist = await getUsersWhitelist();
  RedisClient.setCollection([
    ['users', users],
    ['users_whitelist', whitelist],
  ]);
}

module.exports = function() {
  task();
  cron.schedule('*/15 * * * *', async() => {
    task();
  });
}